@echo off
set crtpth=%CD%
rem main 32-bit help reader
takeown /f "%windir%\winhlp32.exe" >nul
icacls "%windir%\winhlp32.exe" /grant *S-1-5-32-544:F >nul
copy /y "%crtpth%\winhlp32.exe" %windir%
icacls "%windir%\winhlp32.exe" /setowner "NT Service\TrustedInstaller" >nul
echo.
rem Windows Multilingual resource file for US english
takeown /f "%windir%\en-US\winhlp32.exe.mui" >nul
icacls "%windir%\en-US\winhlp32.exe.mui" /grant *S-1-5-32-544:F >nul
copy /y "%crtpth%\winhlp32.exe.mui" %windir%\en-US
icacls "%windir%\en-US\winhlp32.exe.mui" /setowner "NT Service\TrustedInstaller" >nul
echo.
rem Windows Multilingual resource file for GB english
if exist "%windir%\en-GB\winhlp32.exe.mui" (
    takeown /f "%windir%\en-GB\winhlp32.exe.mui" >nul
    icacls "%windir%\en-GB\winhlp32.exe.mui" /grant *S-1-5-32-544:F >nul
    copy /y "%crtpth%\winhlp32.exe.mui" %windir%\en-GB
    icacls "%windir%\en-GB\winhlp32.exe.mui" /setowner "NT Service\TrustedInstaller" >nul
)
echo.
rem update registry
reg add "HKLM\SOFTWARE\Microsoft\WinHelp" /v "AllowProgrammaticMacros" /t REG_DWORD /d "0x00000001" /f
reg add "HKLM\SOFTWARE\Microsoft\WinHelp" /v "AllowIntranetAccess" /t REG_DWORD /d "0x00000001" /f
if %PROCESSOR_ARCHITECTURE%==AMD64 (
  reg add "HKLM\SOFTWARE\Wow6432Node\Microsoft\WinHelp" /v "AllowProgrammaticMacros" /t REG_DWORD /d "0x00000001" /f
  reg add "HKLM\SOFTWARE\Wow6432Node\Microsoft\WinHelp" /v "AllowIntranetAccess" /t REG_DWORD /d "0x00000001" /f
)
echo.
echo Done.
echo.
echo Press any key to Exit
pause >nul
exit